Package org.gradle.testkit.runner

# Class InvalidPluginMetadataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.gradle.testkit.runner.InvalidPluginMetadataException

All Implemented Interfaces:
  `Serializable`

public class InvalidPluginMetadataException extends IllegalStateException
Thrown when the plugin under test metadata cannot be read.

Since:
  2.13
See Also:
  - `GradleRunner.withPluginClasspath()`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidPluginMetadataException(String s)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidPluginMetadataException

    public InvalidPluginMetadataException(String s)